/*
   Class: VoiceRecognition
   
   Author:  Pamela Cutter
        creation date:  1/18/02

   Modifications:
        Date        Name        reason
        ----        ----        ------
 */

import java.util.Random;

/**
   The VoiceRecognition class contains a random number generator.  
   When the method getQuestion is called, it will return a random
   question as a String.
 **/

public class VoiceRecognition
{
    private Random numGen;

    public VoiceRecognition()
    {
        numGen = RandNumGenerator.getInstance();
    }
    
    public String getQuestion()
    {
        int num = numGen.nextInt(6);

        if (num == 0) return ("What would you like for lunch?");
        else if (num == 1) return ("What game do you want to play?");
        else if (num == 2) return ("Will I get my homework done on time?");
        else if (num == 3) return ("What is the weather going to be like today?");
        else if (num == 4) return ("What should we do this weekend?");
        else return (null);
    }
        
}  // end class VoiceRecognition class


